Skip to main content
GET
Get detailed data for a SaucerSwap V2 pool by id

Headers

x-api-key
string
default:875e1017-87b8-4b12-8301-6aa1f1aa073b
required

API key for authentication. The demo api key provided is globally rate limited. Do not use in production.

Path Parameters

poolId
integer
required

Saucerswap pool id

Example:

1

Response

200 - application/json

Successful response

id
integer
required

Pool id

Example:

1

contractId
string
required

Contract id (shard.realm.num)

Example:

"0.0.3948521"

tokenA
object
required
Example:
tokenB
object
required
Example:
amountA
string
required

Total amount for token A

Example:

"6313040"

amountB
string
required

Total amount for token B

Example:

"6313042"

fee
integer
required

Swap fee tier for the pool, denoted in basis points

Example:

500

sqrtRatioX96
string
required

Encoded square root of price ratio between tokens in the pool as a Q64.96 number

Example:

"79228162514992909706099547250"

tickCurrent
integer
required

Current active tick index, representing a specific price point in the pool

Example:

0

liquidity
string
required

Total liquidity for the pool

Example:

"10878982596"